shockwave.com doesn't support mozilla or Netscape 6.x

VERIFIED DUPLICATE of bug 35916

Status

Tech Evangelism Graveyard
English US
P2
major
VERIFIED DUPLICATE of bug 35916
18 years ago
3 years ago

People

(Reporter: John Vrolyk, Assigned: Blake Ross)

Tracking

Details

(URL)

(Reporter)

Description

18 years ago
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; 0.7) Gecko/20010109
BuildID:    2001010901

When I go to http://www.shockwave.com, Mozilla is recognized as Netscape 6 and
is not supported.

Reproducible: Always
Steps to Reproduce:
go to http://www.shockwave.com.


Actual Results:  There was the error message

Expected Results:  Been accepted as something other than Netscape 6
Assignee: asa → evangelism
Status: UNCONFIRMED → NEW
Component: Browser-General → Evangelism
Ever confirmed: true
QA Contact: doronr → zach
Over to evangelism.  The problem lies in the browser-sniffing code on the
shockwave site, not with Mozilla.  Mozilla does not identify itself as Netscape 6.

Comment 2

18 years ago
This could be a dup. John: did you search for bugs...?  I'll take a look for it.

Comment 3

18 years ago
nevermind that. Note that shockwave does not load into mozilla at this 
time, but it should work. This is a high priority, shockwave is an NS 
content partner, who can bang heads around? Setting for 0.9 as the "last 
possible time that this should be fixed for before we suck" date.
Severity: normal → major
Priority: -- → P2
Target Milestone: --- → mozilla0.9

Comment 4

18 years ago
Ok. As I said I would, I have some more questions: What error message 
do you get when you try to do this? Can you take a screenshot?

Comment 5

18 years ago
changing summary
Summary: Thinks Mozilla is Netscape 6, and doesn't support it → shockwave.com thinks Mozilla is Netscape 6, and doesn't support it

Comment 6

18 years ago
Just sent a mail to shockwave's guys in some innocent hope to make things move.

There is no message error except "click here to install plugin". You follow the
path and finally arrive on a page where they know IE + Netscape. Installer seem
to consider the wrong directory... don't remember so well though.

Comment 7

18 years ago
Here is the mail history. I was nice and polite at the beginning...

===

Dear Sir,

Would it be possible to add Mozilla in the range of supported browsers on your
page http://sdc.shockwave.com/shockwave/download/alternates/ and the related ones?

Thank you!

Patrick

---

The latest version of Shockmachine requires that you have at least Shockwave
8 Player installed. If you launch Shockmachine, and you don't have a current
version of Shockwave Player, you will be prompted to install version 8.
shockwave.com requires that you have version 7.0.3 in order to save a title to
any version of Shockmachine, so we recommend that you upgrade to the latest
version. You can install Shockwave 8 Player here:


<http://www.shockwave.com/download>


Thanks,
shockwave.com Customer Support

---

The reply you sent to me does not correspond at all to the question I asked. I
paste it here for the convenience:


>Would it be possible to add Mozilla in the range of supported browsers on your
page http://sdc.shockwave.com/shockwave/download/alternates/ and the related ones?

Also, I remarked that the installer only knows about "netcape.exe" and knows
nothing about "mozilla.exe".

I hope that your second reply will be a bit more adequate than the standard one
you sent before.

Regards,

Patrick

---

Dear Prospective Shockwave or Flash Player Licensee:


If you are an individual user looking to download the Players for your own use,
you do not need a Player Distribution Agreement. You can download our
Players for free at the Macromedia Download Center.


The free Shockwave and Flash Players Distribution Program is designed for
ISPs, enterprises, and software developers. ISPs can offer customers must-have
Internet technology to view the millions of sites with Shockwave multimedia
content or high-impact Flash interfaces. Enterprises that have projects developed
using Flash or Shockwave technologies can deploy the Players on their Intranets.
Software developers who have created CD-ROM content that depends on
Shockwave and Flash technology can distribute the Players themselves rather
than requiring their customers to download the Players from the Web. The Player
licensing process is handled entirely online.
http://www.macromedia.com/support/shockwave/info/licensing/
First, you will first be presented with a
license agreement. We recommend that you print out and review the agreement
carefully, as it contains specific marketing obligations. You will then be asked to
fill out a form, which should take about five minutes. Your confirmation e-mail will
contain instructions on where to download the Players and their associated
Player logos.


The Process:
Step 1 - Read and accept the terms of the Players Distribution License Agreement.
             Print a copy for your records.
Step 2 - Complete the online licensee form. When completed, it will generate an
e-mail
             addressed to you.
Step 3 - Check your e-mail for instructions on where to download the Players and
              Player logos.
Step 4 - Download the Players, apply the appropriate Player logos to your Web site
              or application, and begin distributing the Players.


Contact Us
For more information on free Shockwave and Flash Players Distribution Program,
send an e-mail to players_info@macromedia.com


Regards,
Macromedia Player Licensing

---

AAAGH!

Please stop sending me standard replies and actually reply to my question!

Thank you!

Patrick

---

Hello Patrick,
        Thank you for your feedback regarding our media players.  I will forward
your concern to our product management team.  Hopefully the version that you are
looking for can be added shortly.


Please let me know if you have any other questions or concerns, or if anything
was not explained clearly.


Thank you,
Nathan
Macromedia
Customer Service

===

I hope I did it right. I think I can't do anything else either.

Patrick

Comment 8

18 years ago
Thanks for your help. Let me know if this doesn't work, as macromedia is 
a ns partner and I can try to pull some strings. John--This is the typical 
responce for evangelism :(

Comment 9

18 years ago
*** Bug 74041 has been marked as a duplicate of this bug. ***

Comment 10

18 years ago
phil,  any idea when the shockwave dudes are going to be ready to
flip the bit and support the mozilla and N6.+ browsers.

I still get 
"Unfortunately, we're experiencing a few problems with the latest release of 
Netscape 6. Our friends at Macromedia and Netscape are currently working 
together to fix these problems so you can take full advantage of our site. You 
can be sure that we will support Netscape 6 as soon as all the fixes become 
available. In the meantime, please choose an earlier version of your browser 
when visiting shockwave."

using an early 0.9 candidate...

over to 0.9.1
Target Milestone: mozilla0.9 → mozilla0.9.1

Comment 11

18 years ago
cc'ing aruner from the Netscape evangelism group. Arun, want to take this?

I'm resummarizing to indicate that the problem is with all mozilla-based
browsers. The problem is NOT in the browser-sniffing code -- shockwave.com won't
support any mozilla-based browsers until we fix the bugs which are critical to
them. We're working on that, and Arun has the point on that issue.
Summary: shockwave.com thinks Mozilla is Netscape 6, and doesn't support it → shockwave.com doesn't support mozilla or Netscape 6.x

Comment 12

18 years ago
Phil, in this case, the field "Bug 65389 depends on:" should be filled with some
values, shouldn't it?

Comment 13

18 years ago
Actually, now that I look around for a dependency, I think this is a dup of bug
35916

*** This bug has been marked as a duplicate of 35916 ***
Status: NEW → RESOLVED
Last Resolved: 18 years ago
Resolution: --- → DUPLICATE

Comment 14

17 years ago
verified dups
Status: RESOLVED → VERIFIED

Comment 15

17 years ago
All Evangelism Bugs are now in the Product Tech Evangelism. See bug 86997 for
details.
Component: Evangelism → US English
Product: Browser → Tech Evangelism
Target Milestone: mozilla0.9.1 → ---
Version: other → unspecified
Product: Tech Evangelism → Tech Evangelism Graveyard
You need to log in before you can comment on or make changes to this bug.